Skip to main content
PATCH
Update session type

Authorizations

Authorization
string
header
required

A workspace API key from Settings › Developer.

Query Parameters

workspace_id
string
required

The workspace: the 24-character ID in its Ankra address, or its UUID.

Body

application/json
id
string<uuid>
required

The session type's ID.

name
string

New name.

first_event_date
string<date>

New first session.

start_time
string

HH:mm.

repeat_pattern
enum<string>

How often it repeats.

Available options:
none,
daily,
weekly,
biweekly,
monthly

A link to the game.

public_description
string

The public description.

unlock_minutes_before
integer

Minutes before the start that the server opens.

lock_minutes_after
integer

Minutes after the start that the server locks.

allow_adhoc_events
boolean

Whether create-session may start one of these.

Response

OK.

id
string<uuid>
name
string
first_event_date
string<date>
start_time
string
repeat_pattern
enum<string>
Available options:
none,
daily,
weekly,
biweekly,
monthly
public_description
string | null
created_at
string<date-time>